# -----------------------------------------------------------------------------
sub oraExtents
{
  ($thishost) = @_;

  #
  # Check Oracle object extents
  #

  # Do this every 10th iteration
  if ($iter_count == 1 || ($iter_count/10 == int($iter_count/10)))
  {
    &logit("(Yes this iteration)",$thishost);
  }
  else
  {
    $s_flag = "N";
    &logit("(Not this iteration)",$thishost);
    return;
  }

  if ($asmflag[$thishost])
  {
    &logit("(This check not applicable to +ASM instance)",$thishost);
    return 1;
  }

  if ($t_extents[$thishost] eq "")
  {
    &logit("(Not Selected (T_Extents: is null)",$thishost);
    return 1;
  }

  if ($up[$thishost] ne "Y")
  {
    &logit("(Down/Inhibited)",$thishost);
    return 1;
  }

  if (check_inhib($thishost) eq "Y")
  {
    $up[$thishost] = "I";
    return;
  }

  $fixparm = $t_extents_fix[$thishost];
  $fixparm = "Fix" if $fixparm[$thishost] ne "NOFIX";

  &remsh("$probe[$thishost] extents $t_extents[$thishost] $fixparm",$tmpfl3,$thishost);
  ##system("cat $tmpfl3");

  #See if auto-inhibit occured
  if ($up[$thishost] eq "I")
  {
    logit("(Auto-Inhibited)",$thishost);
    return;
  }

  $foundflag = "";
  $foundtbls = "";
  $fixedtbls = "";

  open(TMPFL3, "$tmpfl3"  ) || &error_msg("Can't open input $tmpfl3 - $!");
  while(<TMPFL3>)
  {
    &parse;
    if ($F2 eq "FOUND") 
    {
      $foundflag = 1;
      $foundtbls = $F3;
      $fixedtbls = $F4;
      if ($fixedtbls eq "FIXED")
      {
        $fixedmsg = "(Object(s) altered to MAXEXTENTS UNLIMITED)";
      }
      else
      {
        $fixedmsg = "";
      }
    }
    if ($F2 eq "NEXTNOFIT") 
    {
      $foundtbls = $F3;
      &event("C",$thishost,"Found $foundtbls Object(s) Whose Next_Extent Will Not Fit","ExtentNoFit","DBA632",$tmpfl3);
      #system("cat $tmpfl3 | dbamon_mailer -s 'DBAmon oraExtents() $titleraw[$thishost] NEXTNOFIT foundtbls=$foundtbls' $debug_email");
    }
  }
  close(TMPFL3);

  if ($foundflag)
  {
    &event("U",$thishost,"Object(s) Found With Extents >= ${t_extents[$thishost]}% Of Max_Extents $fixedmsg","Extents","DBA630U",$tmpfl3);
  }
  else
  {
    &logit("OK",$thishost);
  }
}
# -----------------------------------------------------------------------------
1;
